package it.polimi.ingsw.gc14.Model.Cards;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class BuildingCardTest {
    @Test
    void checkOnParameters() {  // ERA CHECKED IN PlayableCardTest
        assertDoesNotThrow(() -> {
            new BuildingCard(1, 1,1);
        });

        assertDoesNotThrow(() -> {
            new BuildingCard(1, 2,1);
        });
        assertThrows(IllegalArgumentException.class, () -> {
            new BuildingCard(1, 0,1);
        });
        assertThrows(IllegalArgumentException.class, () -> {
            new BuildingCard(1, -1,1);
        });

        assertDoesNotThrow(() -> {
            new BuildingCard(1, 1,2);
        });
        assertDoesNotThrow(() -> {
            new BuildingCard(1, 1,0);
        });
        assertThrows(IllegalArgumentException.class, () -> {
            new BuildingCard(1, 1,-1);
        });
    }
}